Name: awesfx
Version: 0.5.0
Release: 1mdk
Summary: Utility programs for the AWE32 sound driver
Group: System/Kernel and hardware
URL: http://members.tripod.de/iwai/awedrv.html#Utils
Source: http://members.tripod.de/iwai/%{name}-%{version}.tar.bz2
Source2: http://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
Source3: awe_voice.h
License: GPL
Prefix: /usr
ExclusiveArch: %{ix86} alpha
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	unzip
BuildRequires: libalsa-devel >= 1.0.2-2mdk

%description
The awesfx package contains necessary utilities for the AWE32
sound driver.

If you must use an AWE32 sound driver, you should install
this package.

%package devel
Group: Development/C
Requires: %name = %version
Summary: Development files for awesfx.

%description devel
Development files needed for awesfx.

%prep

%setup -q
mkdir gu11-rom
cd gu11-rom
unzip %SOURCE2
cd ..

mkdir include/linux
install -m 644 %SOURCE3 include/linux

%build
export PATH=$PATH:/usr/X11R6/bin
%configure2_5x
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_mandir,%_bindir,%_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/midi
mkdir -p $RPM_BUILD_ROOT/bin
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_includedir}/awe
for i in include/*.h ; do
install -m 644 $i $RPM_BUILD_ROOT%{_includedir}/awe
done
mv $RPM_BUILD_ROOT%{_bindir}/sfxload $RPM_BUILD_ROOT/bin/
cp gu11-rom/GU11-ROM.SF2 $RPM_BUILD_ROOT%{_sysconfdir}/midi
#rm -rf $RPM_BUILD_ROOT{%_libdir/sfbank,%_datadir/sounds/sf2}
rm -rf $RPM_BUILD_ROOT%_libdir/sfbank
install -m 644 awelib/libawe.a $RPM_BUILD_ROOT%_libdir


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc gu11-rom
%config(noreplace) %{_sysconfdir}/midi/GU11-ROM.SF2
/bin/*
%{_bindir}/*
%{_mandir}/man1/*.1*
%_datadir/sounds/sf2

%files devel
%defattr(-,root,root)
%dir %{_includedir}/awe
%{_includedir}/awe/*
%{_libdir}/*.a

%changelog
* Wed Jan 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-1mdk
- new release
- kill patch 0 (now it's automake/autoconf aware)
- do not package samples as doc, let build system place it where needed

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.4.4-5mdk
- rebuild
- drop redundant buildrequires: gcc

* Fri Jan  3 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.4-4mdk
- Rebuild
- add samples in %doc

* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4.4-3mdk
- BuildRequires
- removed use of rpm source dir

* Thu Jun 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.4-2mdk
- Require %%name = %%version, not %%name-%%version for the Requires in
  the development package (fcrozat).

* Tue May 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.4-1mdk
- Bump a nice and tasty 0.4.4 out for everyone to consume.
- Change the URL, seems to have relocated.
- Remove "ha" in ExclusiveArch (must have been a typo from Jeff?)
- s/Copyright/License/;
- Re-generate Makefile patch for the new version.
- Don't run xmkmf and make Makefiles, it is broke. :(
- Hack around a lot of things as they are broke too.
- Include development package.

* Tue May 22 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.4.3a-13mdk
- Use ix86 macro in ExclusiveArch

* Fri Jan 12 2001 Francis Galiegue <fg@mandrakesoft.com> 0.4.3a-12mdk
- Remove unneeded defines
- Fixed files list
- Fixed invalid URL

* Fri Jul 28 2000 Alexandre Dussart<adussart@mandrakesoft.com> 0.4.3a-11mdk
- Fixed permission. 

* Wed Jul 26 2000 Alexandre Dussart<adussart@mandrakesoft.com> 0.4.3a-10mdk
- Updated %files section.

* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3a-9mdk
- spec helper cleanings
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.3a-8mdk

* Sat Jun 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.3a-8mdk
- added alpha to ExclusiveArch
 
* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.4.3a-7mdk
- fit new group structure
 
* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Added aweset back into RPM
 
* Thu Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add i486 and k6 arch
 
* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Added i586 and i686 architectures to spec file
 
* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
 
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)
 
* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 0.4.3a
 
* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- sfxload needs to be on root partition (modules loaded at startup)
 
* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Alpha
 
* Wed Sep  9 1998 Bill Nottingham <notting@redhat.com>
- initial packaging 
